/*-
 * %%----------------------------------------------------------------------------------------------
 * Archive ouverte UNIGE - AoU Model - PersonAvatar.java
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2022 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

package ch.unige.aou.model.settings;

import jakarta.persistence.Entity;

import ch.unige.solidify.model.ResourceFile;

import ch.unige.aou.rest.ModuleName;

@Entity
public class PersonAvatar extends ResourceFile {

  public PersonAvatar() {
  }

  public PersonAvatar(PersonAvatar originalThumbnail) {
    this.setFileContent(originalThumbnail.getFileContent());
    this.setFileName(originalThumbnail.getFileName());
    this.setFileSize(originalThumbnail.getFileSize());
    this.setMimeType(originalThumbnail.getMimeType());
  }

  @Override
  public String managedBy() {
    return ModuleName.ADMIN;
  }

}
